# CSSPageRule : CSSRule
Return to: HTML DOM Level 2 index

Represents a page rule in a CSS style sheet.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | no | 9.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
CSSPageRule Constructor() : CSSPageRule Represents a page rule in a CSS style sheet. | Show Details | no | 1.0+ | no | 9.0+ | 1.0+

### CSSPageRule() : CSSPageRule

Represents a page rule in a CSS style sheet.

Returns

CSSPageRule |

Visibility
  internal

## Inherited Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
cssText : String Text for the current CSS rule. | Show Details | 6.0+ | 1.0+ | no | 9.0+ | 1.0+

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/stylesheets.html

Remarks

  If you specify an invalid value for `cssText`, the property may throw one of the following DOMExceptions:

  - `HIERARCHY_REQUEST_ERR` - CSS rule is not legal in the current location in the CSS style sheet.
  - `INVALID_MODIFICATION_ERR` - New value for the CSS rule is for a different type than the previous type.
  - `NO_MODIFICATION_ALLOWED_ERR` - The CSS rule or its parent CSS style sheet is read-only.
  - `SYNTAX_ERR` - CSS syntax error.
Availability

  HTML DOM Level 2|W3C

parentRule : CSSRule Parent rule for the current CSS rule. | Show Details | 6.0+ | 1.0+ | no | 9.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

parentStyleSheet : CSSStyleSheet CSS style sheet that contains the rule. | Show Details | no | 1.0+ | no | 9.0+ | 1.0+

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/stylesheets.html

Availability

  HTML DOM Level 2|W3C

type : Number Type of CSS rule. | Show Details | no | 1.0+ | no | 9.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
selectorText : String Page Selector text corresponding to the CSS rule. | Show Details | 5.0+ | 1.0+ | no | 9.0+ | 1.0+

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/stylesheets.html

Availability

  HTML DOM Level 2|W3C

style : CSSStyleDeclaration Style(s) for the CSS rule. | Show Details | no | 1.0+ | no | 9.0+ | 1.0+

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/style.html

Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs